package de.joethei.hs.java2.tests;

import de.joethei.hs.java2.praktikum.praktikum2.CharCollection;
import org.junit.Test;

import static org.junit.Assert.*;

public class CharCollectionTest {

    @Test
    public void constructors() {
        assertEquals(new CharCollection("Hallo"), new CharCollection('H', 'a', 'l', 'l', 'o'));
    }

    @Test
    public void size() {
        assertEquals(5, new CharCollection("Hallo").size());
    }

    @Test
    public void count() {
        assertEquals(2, new CharCollection("Hallo").count('l'));
    }

    @Test
    public void different() {
        assertEquals(4, new CharCollection("Hallo").different());
    }


    @Test
    public void top() {
        assertEquals('l', new CharCollection("Hallo").top());
    }

    @Test
    public void toStringTest() {
        assertEquals("(H, a, l, l, o, W, e, l, t)", new CharCollection("HalloWelt").toString());
    }

    /*
    @Test
    public void moreThan() {
        assertEquals(new CharCollection("ll"), new CharCollection("Hallo").moreThan(2));
    }

    @Test
    public void except() {
        assertEquals(new CharCollection("Hao"), new CharCollection("Hallo").except("l"));
    }

    @Test
    public void isSubsect() {
        assertTrue(new CharCollection("Hallo").isSubset("Hao"));
    }
    */
 }